PUT /api/v3/objects/{lcuid}/scoped-tags/{tag_lcuid}¶
Summary¶
PUT /objects/{lcuid}/scoped-tags/{tag_lcuid}
Description¶
Update a scoped tag
Tags: objects
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Request Body¶
Required: Yes
Content Type: application/json¶
Schema¶
Type: object
Required fields: name
Properties:
name(string) (required): The name of the tagdescription(string): optional The description of the tag
Responses¶
Response: 200¶
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): The request succeededid(string): The lcuid of the objectclass(string): The class of the objecttag(object) Type:object
Properties:
name(string)description(string)created_at(string)updated_at(string)tag_slug(string)lcuid(string)-
parent(object) Type:objectProperties:
name(string)options(object) Type:object
Properties:
primary_image_public_url(string)-
primary_image_background_removed_public_url(string) -
lcuid(string) slug(string)website(string)description(string)created_at(string)is_parent_account(boolean)
Example Response¶
{
"success": true,
"id": "LCUID-LA-1408bbf0-7c9c-4306-98f1-b5b53518bdc4",
"class": "App\\Account",
"tag": {
"name": "test1",
"description": "This is a test",
"created_at": "2026-01-07T00:15:37.000000Z",
"updated_at": "2026-01-07T00:15:37.000000Z",
"tag_slug": "test1",
"lcuid": "LCUID-LTAG-f94ad9f0-1f25-4ece-bf50-b96ab6f41b8c",
"parent": {
"name": "Blue River Real Estate",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-1408bbf0-7c9c-4306-98f1-b5b53518bdc4",
"slug": "UnitTestAccountTqdun",
"website": null,
"description": "Here is a new unit test account description",
"created_at": "2026-01-07T00:15:37.000000Z",
"is_parent_account": false
}
}
}
Example Implementations¶
Bash (cURL)¶
curl --request PUT \
--url "https://api.lucit.app/api/v3/objects/{lcuid}/scoped-tags/{tag_lcuid}" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = "https://api.lucit.app/api/v3/objects/{lcuid}/scoped-tags/{tag_lcuid}";
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
};
fetch(url, {
method: "PUT",
headers: headers
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
PHP (Guzzle)¶
<?php
require_once 'vendor/autoload.php';
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://api.lucit.app/api/v3/objects/{lcuid}/scoped-tags/{tag_lcuid}', [
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
]
]);
$body = $response->getBody();
$data = json_decode($body, true);
print_r($data);
Python (Requests)¶
import requests
import json
url = "https://api.lucit.app/api/v3/objects/{lcuid}/scoped-tags/{tag_lcuid}"
headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************"
}
response = requests.put(url, headers=headers)
print(response.json())